<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
.accordion {
  /* background-color: #eee; */
  color: #444;
  cursor: pointer;
  padding: 18px;
  /* width: 20%; */
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
}

.active, .accordion:hover {
  /* background-color: #ccc; */
}

.accordion::before {
  content: '\e714   ';
  color: #777;
  font-weight: bold;
  /* float: right; */
  margin: 0 5px;
}

.active::before {
  content: "\e713   ";
}

.panel {
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.accordion-wrapper {
    border:2px;
    border-style:solid;
    border-color:#eee;
    max-width:30%;
}
</style>
</head>
<body>
<div class="accordion-wrapper">
    <div class="accordion">Section 1</div>
    <div class="panel">
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
    </div>

    <div class="accordion" style="border-top:2px; border-bottom:0; border-right:0; border-left:0; border-style:dotted; border-color:#ddd;">Section 2</div>
    <div class="panel">
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
    </div>

    <div class="accordion" style="border-top:2px; border-bottom:0; border-right:0; border-left:0; border-style:dotted; border-color:#ddd;">Section 3</div>
    <div class="panel">
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
    </div>
</div>

<script>
var acc = document.getElementsByClassName("accordion");
var i;

for (i = 0; i < acc.length; i++) {
  acc[i].addEventListener("click", function() {
    // Collapse all panels before expanding the clicked panel
    var panels = document.getElementsByClassName("panel");
    for (j = 0; j < panels.length; j++) {
      if (panels[j].style.maxHeight) {
        panels[j].style.maxHeight = null;
        panels[j].previousElementSibling.classList.remove("active");
      }
    }
    
    // Toggle the clicked panel
    this.classList.toggle("active");
    var panel = this.nextElementSibling;
    if (panel.style.maxHeight) {
      panel.style.maxHeight = null;
    } else {
      panel.style.maxHeight = panel.scrollHeight + "px";
    } 
  });
}
</script>

</body>
</html>